LIKWID-TOPOLOGY(1)

NAME
likwid-topology - print thread and cache topology

SYNOPSIS
likwid-topology [-hvgcC] [-V level] [-o output_file]

DESCRIPTION
likwid-topology is a command line application to print the thread and cache topology on multicore x86 processors. Used with mono spaced fonts it can draw the processor topology of a machine in ascii art. Beyond topology likwid-topology determines the clock of a processor and prints detailed informations about the caches hierarchy.

OPTIONS

-h, --help
    prints a help message to standard output, then exits.

-v, --version
    prints version information to standard output, then exits.

-V, --verbose <level>
    sets the verbosity level of LIKWID's topology backend. Possible levels range from 0 to 3.

-g  prints topology information in ASCII art. Best viewed with monospaced font.

-c, --caches
    prints detailed information about cache hierarchy

-C, --clock
    measures and output the processor clock. This involves a longer run time of likwid-topology.

-o, --output <file>
    write the output to file instead of stdout. Likwid applies filter scripts according to filename suffix. Currently available scripts are csv. You can place additional filter scripts in <INSTALLEDPREFIX>/share/likwid/filter.

AUTHOR
Written by Thomas Roehl <thomas.roehl@googlemail.com>.

BUGS
Report Bugs on <https://github.com/RRZE-HPC/likwid/issues>.

SEE ALSO
likwid-perfctr(1), likwid-features(1), likwid-pin(1),